# Generated by Django 4.2.11 on 2024-05-10 16:03

from django.db import migrations, models
import django.db.models.deletion
import djangoldp.fields
import djangoldp.permissions


class Migration(migrations.Migration):

    dependencies = [
        (
            "djangoldp_energiepartagee",
            "0115_alter_actor_longname_alter_actor_shortname",
        ),
    ]

    operations = [
        migrations.CreateModel(
            name="PartnerLinkType",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "urlid",
                    djangoldp.fields.LDPUrlField(
                        blank=True, db_index=True, null=True, unique=True
                    ),
                ),
                (
                    "is_backlink",
                    models.BooleanField(
                        default=False,
                        help_text="set automatically to indicate the Model is a backlink",
                    ),
                ),
                (
                    "allow_create_backlink",
                    models.BooleanField(
                        default=True,
                        help_text="set to False to disable backlink creation after Model save",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        blank=True,
                        max_length=50,
                        null=True,
                        verbose_name="Nom du lien de partenariat",
                    ),
                ),
            ],
            options={
                "verbose_name": "Type de lien de partenariat",
                "verbose_name_plural": "Types de liens de partenariat",
                "ordering": ["name"],
                "abstract": False,
                "default_permissions": {"change", "view", "delete", "control", "add"},
                "rdf_type": "energiepartagee:partner_link_type",
                "permission_classes": [
                    djangoldp.permissions.AuthenticatedOnly,
                    djangoldp.permissions.ReadOnly,
                ],
                "serializer_fields": ["@id", "name"],
                "depth": 0,
            },
        ),
        migrations.AlterModelOptions(
            name="partnerlink",
            options={
                "default_permissions": {"change", "view", "delete", "control", "add"},
                "ordering": ["production_site__name"],
                "verbose_name": "Lien de partenariat",
                "verbose_name_plural": "Liens de partenariat",
            },
        ),
        migrations.RemoveField(
            model_name="partnerlink",
            name="name",
        ),
        migrations.RemoveField(
            model_name="partnerlink",
            name="production_sites",
        ),
        migrations.AddField(
            model_name="partnerlink",
            name="actor",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="partner_links",
                to="djangoldp_energiepartagee.actor",
                verbose_name="Acteurs",
            ),
        ),
        migrations.AddField(
            model_name="partnerlink",
            name="production_site",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="partner_links",
                to="djangoldp_energiepartagee.productionsite",
                verbose_name="Site de production",
            ),
        ),
        migrations.AddField(
            model_name="partnerlink",
            name="link_type",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="partner_links",
                to="djangoldp_energiepartagee.partnerlinktype",
                verbose_name="Typez de lien de partenariat",
            ),
        ),
    ]
